import { DisposableCollection } from '@opensumi/ide-core-node';
import { FileChangeType, FileSystemWatcherClient, IFileSystemWatcherServer } from '../../common/index';
import { FileChangeCollection } from '../file-change-collection';
export declare class UnRecursiveFileSystemWatcher implements IFileSystemWatcherServer {
    private readonly excludes;
    private WATCHER_HANDLERS;
    private static WATCHER_SEQUENCE;
    private static readonly FILE_DELETE_HANDLER_DELAY;
    private readonly loggerManager;
    protected changes: FileChangeCollection;
    protected readonly toDispose: DisposableCollection;
    protected client: FileSystemWatcherClient | undefined;
    private logger;
    constructor(excludes?: string[]);
    dispose(): void;
    /**
     * 查找某个路径是否已被监听
     * @param watcherPath
     */
    checkIsAlreadyWatched(watcherPath: string): number | undefined;
    private doWatch;
    watchFileChanges(uri: string): Promise<number>;
    protected start(basePath: string): Promise<DisposableCollection>;
    unwatchFileChanges(watcherId: number): Promise<void>;
    protected pushAdded(path: string): void;
    protected pushUpdated(path: string): void;
    protected pushDeleted(path: string): void;
    protected pushFileChange(path: string, type: FileChangeType): void;
    /**
     * Fires file changes to clients.
     * It is debounced in the case if the filesystem is spamming to avoid overwhelming clients with events.
     */
    protected readonly fireDidFilesChanged: () => void;
    protected doFireDidFilesChanged(): void;
    setClient(client: FileSystemWatcherClient | undefined): void;
    protected isTemporaryFile(path: string): boolean;
}
//# sourceMappingURL=file-service-watcher.d.ts.map